Import profiles in bulk
https://email.growthdept.ai/api/profile-bulk-import-jobsCreates or updates up to 10,000 profiles in the background and adds them to the list given. Identifiers that belong to two different profiles become import errors.
The request body can be up to 5 MB.
Rate limits
Scopes
lists:writeprofiles:write
Operation id
bulk_import_profiles The same operation as in Klaviyo's API. OpenAPI document
Query parameters
Pick values to add them to the request:
Body
Send application/vnd.api+json or application/json.
object
dataobjectrequired
data: 3 fields
typestringrequired
profile-bulk-import-jobattributesobjectrequired
attributes: 1 field
profilesobjectrequired
profiles: 1 field
dataarray of objectsrequired
data: 4 fields
typestringrequired
profileidstring
attributesobjectrequired
attributes: 12 fields
emailstringcan be null
phone_numberstringcan be null
external_idstringcan be null
first_namestringcan be null
last_namestringcan be null
organizationstringcan be null
localestringcan be null
titlestringcan be null
imagestringcan be null
locationobject
location: 10 fields
address1stringcan be null
address2stringcan be null
citystringcan be null
countrystringcan be null
latitudestring or numbercan be null
longitudestring or numbercan be null
regionstringcan be null
zipstringcan be null
timezonestringcan be null
ipstringcan be null
propertiesobject
_kxstringcan be null
metaobject
meta: 2 fields
patch_propertiesobject
patch_properties: 3 fields
appendobject
unappendobject
unsetobject
patch_identifiersobject
patch_identifiers: 2 fields
appendobject
unappendobject
relationshipsobject
relationships: 1 field
listsobject
lists: 1 field
dataarray of objectsrequired
data: 2 fields
typestringrequired
listidstringrequired
Edit the example. The code samples use what you type here.
Headers
stringrequireddefault 2026-10-15
API revision, YYYY-MM-DD. This server implements 2026-10-15.
Responses
202Success
No body.
4XXClient error
Response body
object
errorsarray of objectsrequired
errors: 8 fields
idstringrequired
statusintegerrequired
codestringrequired
titlestringrequired
detailstringrequired
sourceobject
source: 2 fields
pointerstring
parameterstring
linksobject
metaobject
See status codes for each code.
5XXServer error
Response body
object
errorsarray of objectsrequired
errors: 8 fields
idstringrequired
statusintegerrequired
codestringrequired
titlestringrequired
detailstringrequired
sourceobject
source: 2 fields
pointerstring
parameterstring
linksobject
metaobject